#
# Conditional build:
%bcond_with	doc	# API documentation (missing changelog.d files in sdist)
%bcond_without	tests	# unit tests

Summary:	A plugin to fake subprocess for pytest
Summary(pl.UTF-8):	Wtyczka do udawania podprocesów dla pytesta
Name:		python3-pytest-subprocess
Version:	1.5.3
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pytest-subprocess/
Source0:	https://files.pythonhosted.org/packages/source/p/pytest-subprocess/pytest_subprocess-%{version}.tar.gz
# Source0-md5:	6050a8c3bbc7e5e65e9dcaad928c769d
URL:		https://pypi.org/project/pytest-subprocess/
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-anyio
BuildRequires:	python3-docutils >= 0.12
BuildRequires:	python3-pygments >= 2.0
BuildRequires:	python3-pytest >= 4.0.0
BuildRequires:	python3-pytest-asyncio >= 0.15.1
BuildRequires:	python3-pytest-rerunfailures
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-changelogd
BuildRequires:	python3-furo
BuildRequires:	python3-sphinx_autodoc_typehints
BuildRequires:	python3-sphinxcontrib-napoleon
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pytest plugin to fake subprocess.

%description -l pl.UTF-8
Wtyczka pytesta do udawania podprocesów.

%package apidocs
Summary:	API documentation for Python pytest-subprocess module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona pytest-subprocess
Group:		Documentation

%description apidocs
API documentation for Python pytest-subprocess module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona pytest-subprocess.

%prep
%setup -q -n pytest_subprocess-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=pytest_asyncio.plugin,pytest_rerunfailures,pytest_subprocess.fixtures \
%{__python3} -m pytest tests
%endif

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc HISTORY.rst LICENSE README.rst
%{py3_sitescriptdir}/pytest_subprocess
%{py3_sitescriptdir}/pytest_subprocess-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif
%changelog
* Sun Jul 06 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pytest-subprocess.git;a=log;h=master

* Sun Jul 06 2025 Jakub Bogusz <qboosh@pld-linux.org> 4e6f795
- new

